### Signal

# RB ShellPlayer::playing-source-changed

#### Declaration

    void
    playing_source_changed (
      RBShellPlayer* self,
      RBSource* source,
      gpointer user_data
    )

#### Description [src]

Emitted when a new `RBSource` instance starts playing.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`source`

  Type: `RBSource`

  The `RBSource` that is now playing.

  The data is owned by the caller of the function.